=== modified file 'Makefile.am'
--- Makefile.am	2009-07-03 21:16:04 +0000
+++ Makefile.am	2009-07-11 23:20:37 +0000
@@ -1,4 +1,4 @@
-SUBDIRS = extra po zeitgeist doc
+SUBDIRS = extra po zeitgeist _zeitgeist doc
 
 INTLTOOL = \
 	intltool-extract.in \

=== renamed directory 'zeitgeist' => '_zeitgeist'
=== modified file '_zeitgeist/Makefile.am'
--- zeitgeist/Makefile.am	2009-06-30 12:36:13 +0000
+++ _zeitgeist/Makefile.am	2009-07-11 23:20:37 +0000
@@ -1,29 +1,8 @@
 SUBDIRS = engine loggers
 
-appdir = $(pythondir)/zeitgeist/
+appdir = $(prefix)/share/zeitgeist/_zeitgeist/
 
 app_PYTHON = \
 	__init__.py \
-	datamodel.py \
-	dbusutils.py \
 	lrucache.py \
 	singleton.py
-
-nodist_app_PYTHON = config.py
-
-config.py: config.py.in
-	sed						\
-		-e s!\@prefix\@!$(prefix)!		\
-		-e s!\@datadir\@!$(datadir)!		\
-		-e s!\@pkgdatadir\@!$(pkgdatadir)!	\
-		-e s!\@libexecdir\@!$(libexecdir)!	\
-		-e s!\@libdir\@!$(libdir)!		\
-		-e s!\@PACKAGE\@!$(PACKAGE)!		\
-		-e s!\@VERSION\@!$(VERSION)!		\
-		< $< > $@
-config.py: Makefile
-
-CLEANFILES = config.py
-EXTRA_DIST = config.py.in
-
-all-local: config.py

=== added file '_zeitgeist/__init__.py'
=== modified file '_zeitgeist/engine/Makefile.am'
--- zeitgeist/engine/Makefile.am	2009-06-25 16:41:27 +0000
+++ _zeitgeist/engine/Makefile.am	2009-07-11 23:20:37 +0000
@@ -1,4 +1,4 @@
-appdir = $(pythondir)/zeitgeist/engine/
+appdir = $(prefix)/share/zeitgeist/_zeitgeist/engine/
 
 app_PYTHON = \
 	__init__.py \

=== modified file '_zeitgeist/engine/base.py'
--- zeitgeist/engine/base.py	2009-07-04 21:51:42 +0000
+++ _zeitgeist/engine/base.py	2009-07-11 23:20:37 +0000
@@ -24,7 +24,7 @@
 from storm.locals import *
 from xdg import BaseDirectory
 
-from zeitgeist.lrucache import LRUCache
+from _zeitgeist.lrucache import LRUCache
 
 log = logging.getLogger("zeitgeist.engine.base")
 

=== modified file '_zeitgeist/engine/engine.py'
--- zeitgeist/engine/engine.py	2009-07-07 12:47:47 +0000
+++ _zeitgeist/engine/engine.py	2009-07-11 23:20:37 +0000
@@ -31,8 +31,7 @@
 from xdg.DesktopEntry import DesktopEntry
 import sqlite3
 
-from zeitgeist import config
-from zeitgeist.engine.base import *
+from _zeitgeist.engine.base import *
 from zeitgeist.dbusutils import ITEM_STRUCTURE_KEYS, TYPES_DICT, plainify_dict
 
 logging.basicConfig(level=logging.DEBUG)

=== modified file '_zeitgeist/engine/remote.py'
--- zeitgeist/engine/remote.py	2009-07-07 12:47:47 +0000
+++ _zeitgeist/engine/remote.py	2009-07-11 23:20:37 +0000
@@ -21,9 +21,9 @@
 import dbus.service
 import logging
 
-from zeitgeist.engine.engine import get_default_engine
+from _zeitgeist.engine.engine import get_default_engine
 from zeitgeist.dbusutils import dictify_data, sig_plain_data
-from zeitgeist.singleton import SingletonApplication
+from _zeitgeist.singleton import SingletonApplication
 
 _engine = get_default_engine()
 

=== modified file '_zeitgeist/loggers/Makefile.am'
--- zeitgeist/loggers/Makefile.am	2009-06-25 16:41:27 +0000
+++ _zeitgeist/loggers/Makefile.am	2009-07-11 23:20:37 +0000
@@ -1,6 +1,6 @@
 SUBDIRS = datasources
 
-appdir = $(pythondir)/zeitgeist/loggers/
+appdir = $(prefix)/share/zeitgeist/_zeitgeist/loggers/
 
 app_PYTHON = \
 	__init__.py \

=== modified file '_zeitgeist/loggers/datasources/Makefile.am'
--- zeitgeist/loggers/datasources/Makefile.am	2009-06-25 15:25:06 +0000
+++ _zeitgeist/loggers/datasources/Makefile.am	2009-07-11 23:20:37 +0000
@@ -1,4 +1,4 @@
-appdir = $(pythondir)/zeitgeist/loggers/datasources
+appdir = $(prefix)/share/zeitgeist/_zeitgeist/loggers/datasources
 
 app_PYTHON = \
 	__init__.py \

=== modified file '_zeitgeist/loggers/datasources/evolution.py'
--- zeitgeist/loggers/datasources/evolution.py	2009-06-24 15:42:24 +0000
+++ _zeitgeist/loggers/datasources/evolution.py	2009-07-11 23:20:37 +0000
@@ -29,7 +29,7 @@
 import gio
 from xdg import BaseDirectory
 
-from zeitgeist.loggers.zeitgeist_base import DataProvider
+from _zeitgeist.loggers.zeitgeist_base import DataProvider
 
 _evolution_logger = logging.getLogger("zeitgeist.logger.datasources.evolution")
 

=== modified file '_zeitgeist/loggers/datasources/firefox.py'
--- zeitgeist/loggers/datasources/firefox.py	2009-07-01 14:24:45 +0000
+++ _zeitgeist/loggers/datasources/firefox.py	2009-07-11 23:20:37 +0000
@@ -30,10 +30,10 @@
 from ConfigParser import ConfigParser, NoOptionError
 from xdg import BaseDirectory
 
-from zeitgeist.loggers.zeitgeist_base import DataProvider
-from zeitgeist import config
+from zeitgeist import _config
+from _zeitgeist.loggers.zeitgeist_base import DataProvider
 
-gettext.install("zeitgeist", config.localedir, unicode=1)
+gettext.install("zeitgeist", _config.localedir, unicode=1)
 
 _firefox_logger = logging.getLogger("zeitgeist.logger.datasources.firefox")
 

=== modified file '_zeitgeist/loggers/datasources/recent.py'
--- zeitgeist/loggers/datasources/recent.py	2009-07-04 22:47:49 +0000
+++ _zeitgeist/loggers/datasources/recent.py	2009-07-11 23:20:37 +0000
@@ -30,8 +30,8 @@
 import logging
 from xdg import DesktopEntry, BaseDirectory
 
-from zeitgeist.loggers.zeitgeist_base import DataProvider
-from zeitgeist import config
+from zeitgeist import _config
+from _zeitgeist.loggers.zeitgeist_base import DataProvider
 
 log = logging.getLogger("zeitgeist.logger.datasources.recently_used")
 

=== modified file '_zeitgeist/loggers/datasources/tomboy.py'
--- zeitgeist/loggers/datasources/tomboy.py	2009-07-08 12:33:37 +0000
+++ _zeitgeist/loggers/datasources/tomboy.py	2009-07-11 23:20:37 +0000
@@ -30,8 +30,8 @@
 from xml.dom.minidom import parseString
 from xml.parsers.expat import ExpatError
 
-from zeitgeist.loggers.zeitgeist_base import DataProvider
-from zeitgeist.loggers.iso_strptime import iso_strptime
+from _zeitgeist.loggers.zeitgeist_base import DataProvider
+from _zeitgeist.loggers.iso_strptime import iso_strptime
 
 _tomboy_logger = logging.getLogger("zeitgeist.logger.database.tomboy")
 

=== modified file '_zeitgeist/loggers/zeitgeist_base.py'
--- zeitgeist/loggers/zeitgeist_base.py	2009-07-04 21:51:42 +0000
+++ _zeitgeist/loggers/zeitgeist_base.py	2009-07-11 23:20:37 +0000
@@ -30,7 +30,7 @@
 import gettext
 import logging
 
-from zeitgeist.loggers.zeitgeist_setup_service import _Configuration, DefaultConfiguration
+from _zeitgeist.loggers.zeitgeist_setup_service import _Configuration, DefaultConfiguration
 
 NAMES = set()
 

=== modified file '_zeitgeist/loggers/zeitgeist_setup_service.py'
--- zeitgeist/loggers/zeitgeist_setup_service.py	2009-07-04 21:51:42 +0000
+++ _zeitgeist/loggers/zeitgeist_setup_service.py	2009-07-11 23:20:37 +0000
@@ -22,10 +22,7 @@
 import gobject
 import gconf
 import glib
-
 import dbus.mainloop.glib
-import ConfigParser
-
 from ConfigParser import SafeConfigParser
 from xdg import BaseDirectory
 from StringIO import StringIO
@@ -225,9 +222,8 @@
 			config.write(f)
 			with open(self.CONFIGFILE, "w") as configfile:
 				config.write(configfile)
-				
-		
-if __name__ == '__main__':
+
+if __name__ == "__main__":
 	
 	def test(config):
 		for option, required in config.get_options():
@@ -240,4 +236,3 @@
 	config.add_option("enabled", _Configuration.like_bool, default=False)
 	config.connect("configured", test)
 	mainloop.run()
-

=== modified file '_zeitgeist/singleton.py'
--- zeitgeist/singleton.py	2009-07-04 21:51:42 +0000
+++ _zeitgeist/singleton.py	2009-07-11 23:20:37 +0000
@@ -19,10 +19,9 @@
 
 import logging
 import sys
-
 import dbus
 
-from dbusutils import get_session_bus, get_engine_interface
+from zeitgeist.dbusutils import get_session_bus, get_engine_interface
 
 class SingletonApplication (dbus.service.Object):
 	"""

=== modified file 'configure.ac'
--- configure.ac	2009-07-07 21:58:18 +0000
+++ configure.ac	2009-07-11 23:20:37 +0000
@@ -20,8 +20,9 @@
 	extra/epiphany/Makefile
 	po/Makefile.in
 	zeitgeist/Makefile
-	zeitgeist/loggers/datasources/Makefile
-	zeitgeist/loggers/Makefile
-	zeitgeist/engine/Makefile
+	_zeitgeist/Makefile
+	_zeitgeist/loggers/Makefile
+	_zeitgeist/loggers/datasources/Makefile
+	_zeitgeist/engine/Makefile
 ])
 AC_OUTPUT

=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2009-06-30 12:21:49 +0000
+++ po/POTFILES.in	2009-07-11 23:20:37 +0000
@@ -1,19 +1,14 @@
 zeitgeist-daemon
 zeitgeist-datahub
-zeitgeist/__init__.py
 zeitgeist/datamodel.py
 zeitgeist/dbusutils.py
-zeitgeist/singleton.py
-zeitgeist/loggers/__init__.py
-zeitgeist/loggers/zeitgeist_base.py
-zeitgeist/loggers/zeitgeist_setup_service.py
-zeitgeist/loggers/iso_strptime.py
-zeitgeist/loggers/datasources/__init__.py
-zeitgeist/loggers/datasources/recent.py
-zeitgeist/loggers/datasources/firefox.py
-zeitgeist/loggers/datasources/evolution.py
-zeitgeist/loggers/datasources/tomboy.py
-zeitgeist/engine/__init__.py
-zeitgeist/engine/engine.py
-zeitgeist/engine/remote.py
-zeitgeist/engine/base.py
+_zeitgeist/singleton.py
+_zeitgeist/loggers/zeitgeist_base.py
+_zeitgeist/loggers/zeitgeist_setup_service.py
+_zeitgeist/loggers/datasources/recent.py
+_zeitgeist/loggers/datasources/firefox.py
+_zeitgeist/loggers/datasources/evolution.py
+_zeitgeist/loggers/datasources/tomboy.py
+_zeitgeist/engine/engine.py
+_zeitgeist/engine/remote.py
+_zeitgeist/engine/base.py

=== modified file 'po/ca.po'
--- po/ca.po	2009-07-03 20:23:07 +0000
+++ po/ca.po	2009-07-11 23:20:37 +0000
@@ -41,7 +41,8 @@
 #: ../zeitgeist-datahub:125
 #, c-format
 msgid "Type error logging item from \"%s\": %s"
-msgstr "Tipus de variable errònia al intentar registrar una activitat de «%s»: %s"
+msgstr ""
+"Tipus de variable errònia al intentar registrar una activitat de «%s»: %s"
 
 #: ../zeitgeist/datamodel.py:71
 msgid "Tags"
@@ -63,8 +64,7 @@
 msgid "Images"
 msgstr "Imatges"
 
-#: ../zeitgeist/datamodel.py:91
-#: ../zeitgeist/datamodel.py:99
+#: ../zeitgeist/datamodel.py:91 ../zeitgeist/datamodel.py:99
 msgid "Videos"
 msgstr "Vídeos"
 
@@ -182,12 +182,15 @@
 
 #~ msgid "Other"
 #~ msgstr "Altres"
+
 #~ msgid "Development"
 #~ msgstr "Desenvolupament"
+
 #~ msgid "Notes"
 #~ msgstr "Notes"
+
 #~ msgid "Create New Note"
 #~ msgstr "Crea una nota nova"
+
 #~ msgid "Make a new Tomboy note"
 #~ msgstr "Crea una nota nova"
-

=== modified file 'po/es.po'
--- po/es.po	2009-07-03 20:23:07 +0000
+++ po/es.po	2009-07-11 23:20:37 +0000
@@ -58,8 +58,7 @@
 msgid "Images"
 msgstr "Imágenes"
 
-#: ../zeitgeist/datamodel.py:91
-#: ../zeitgeist/datamodel.py:99
+#: ../zeitgeist/datamodel.py:91 ../zeitgeist/datamodel.py:99
 msgid "Videos"
 msgstr "Vídeos"
 
@@ -181,10 +180,12 @@
 #, fuzzy
 #~ msgid "Development"
 #~ msgstr "Documentos"
+
 #~ msgid "Notes"
 #~ msgstr "Notas"
+
 #~ msgid "Create New Note"
 #~ msgstr "Crear una nota nueva"
+
 #~ msgid "Make a new Tomboy note"
 #~ msgstr "Crear una nueva nota de Tomboy"
-

=== modified file 'po/pt.po'
--- po/pt.po	2009-07-03 20:23:07 +0000
+++ po/pt.po	2009-07-11 23:20:37 +0000
@@ -64,8 +64,7 @@
 msgid "Images"
 msgstr ""
 
-#: ../zeitgeist/datamodel.py:91
-#: ../zeitgeist/datamodel.py:99
+#: ../zeitgeist/datamodel.py:91 ../zeitgeist/datamodel.py:99
 msgid "Videos"
 msgstr ""
 
@@ -184,4 +183,3 @@
 #, fuzzy
 #~ msgid "Development"
 #~ msgstr "Novo Documento"
-

=== modified file 'po/sv.po'
--- po/sv.po	2009-07-03 20:23:07 +0000
+++ po/sv.po	2009-07-11 23:20:37 +0000
@@ -64,8 +64,7 @@
 msgid "Images"
 msgstr "Bilder"
 
-#: ../zeitgeist/datamodel.py:91
-#: ../zeitgeist/datamodel.py:99
+#: ../zeitgeist/datamodel.py:91 ../zeitgeist/datamodel.py:99
 msgid "Videos"
 msgstr "Filmer"
 
@@ -184,90 +183,130 @@
 
 #~ msgid "Open Journal"
 #~ msgstr "Öppna Dagbok"
+
 #~ msgid ""
 #~ "GNOME Zeitgeist is a tool for easily browsing and finding files on your "
 #~ "computer."
 #~ msgstr ""
 #~ "GNOME Zeitgeist är ett verktyg för att enkelt bläddra igenom och hitta "
 #~ "filer på din dator."
+
 #~ msgid "Stars"
 #~ msgstr "Stjärnor"
+
 #~ msgid "Journal"
 #~ msgstr "Dagbok"
+
 #~ msgid "Notes"
 #~ msgstr "Anteckningar"
+
 #~ msgid "Create New Note"
 #~ msgstr "Skapa Ny Anteckning"
+
 #~ msgid "Make a new Tomboy note"
 #~ msgstr "Skapa en ny Tomboy anteckning"
+
 #~ msgid "Other"
 #~ msgstr "Andra"
+
 #~ msgid "Recently used tags"
 #~ msgstr "Nyligen använda etiketter"
+
 #~ msgid "Most used tags"
 #~ msgstr "Mest använda etiketter"
+
 #~ msgid "All tags"
 #~ msgstr "Alla etiketter"
+
 #~ msgid "Search"
 #~ msgstr "Sök"
+
 #~ msgid "Show recent activities"
 #~ msgstr "Visa nya aktiviteter"
+
 #~ msgid "Search for activities"
 #~ msgstr "Sök aktiviteter"
+
 #~ msgid "Calendar"
 #~ msgstr "Kalender"
+
 #~ msgid "Enable Grouping"
 #~ msgstr "Aktivera Gruppering"
+
 #~ msgid "Name"
 #~ msgstr "Namn"
+
 #~ msgid "Time"
 #~ msgstr "Tid"
+
 #~ msgid "Tagged with:"
 #~ msgstr "Etiketterad med:"
+
 #~ msgid "The file has been removed from"
 #~ msgstr "Filen har blivit borttagen från"
+
 #~ msgid "New Document"
 #~ msgstr "Nytt Dokument"
+
 #~ msgid "Related files"
 #~ msgstr "Relaterade filer"
+
 #~ msgid "Last usage:"
 #~ msgstr "Senast använda:"
+
 #~ msgid "Tags:"
 #~ msgstr "Etiketter:"
+
 #~ msgid "Files related to %s"
 #~ msgstr "Filer relaterade till %s"
+
 #~ msgid "Today"
 #~ msgstr "I Dag"
+
 #~ msgid "All favorites"
 #~ msgstr "Alla favoriter"
+
 #~ msgid "Show related activities"
 #~ msgstr "Visa relaterade aktiviteter"
+
 #~ msgid "Edit tags..."
 #~ msgstr "Redigera etiketter..."
+
 #~ msgid "Delete item from Zeitgeist"
 #~ msgstr "Radera post från Zeitgeist"
+
 #~ msgid "Edit tags for %s"
 #~ msgstr "Redigera etiketter för %s"
+
 #~ msgid "Add"
 #~ msgstr "Lägg till"
+
 #~ msgid "Cancel"
 #~ msgstr "Ångra"
+
 #~ msgid "GNOME Zeitgeist Project Viewer"
 #~ msgstr "GNOME Zeitgeist Projekt Visare"
+
 #~ msgid "GNOME Zeitgeist Timeline"
 #~ msgstr "GNOME Zeitgeist Tidslinje"
+
 #~ msgid "Yesterday"
 #~ msgstr "Igår"
+
 #~ msgid "Could not create database: %s"
 #~ msgstr "Kunde inte skapa databas: %s"
+
 #~ msgid "Error connecting with database: %s"
 #~ msgstr "Fel vid kontakt med databas: %s"
+
 #~ msgid "Browse a journal of recently used files"
 #~ msgstr "Bläddra i en dagbok med nyligen använda filer"
+
 #~ msgid "File Journal"
 #~ msgstr "Fildagbok"
+
 #~ msgid "Zeitgeist File Journal"
 #~ msgstr "Zeitgeist Fildagbok"
+
 #~ msgid "Start the Zeitgeist engine"
 #~ msgstr "Starta Zeitgeist motorn"
-

=== modified file 'po/uk.po'
--- po/uk.po	2009-07-03 20:23:07 +0000
+++ po/uk.po	2009-07-11 23:20:37 +0000
@@ -66,8 +66,7 @@
 msgid "Images"
 msgstr "Зображення"
 
-#: ../zeitgeist/datamodel.py:91
-#: ../zeitgeist/datamodel.py:99
+#: ../zeitgeist/datamodel.py:91 ../zeitgeist/datamodel.py:99
 msgid "Videos"
 msgstr "Відео"
 
@@ -151,7 +150,8 @@
 
 #: ../zeitgeist/dbusutils.py:58
 msgid "Error: Zeitgeist service not running."
-msgstr "Помилка: Служба Файло-облікової/пошукової системи Зайтгайст не запущена"
+msgstr ""
+"Помилка: Служба Файло-облікової/пошукової системи Зайтгайст не запущена"
 
 #: ../zeitgeist/loggers/datasources/firefox.py:61
 msgid "Firefox History"
@@ -187,94 +187,136 @@
 
 #~ msgid "Open Journal"
 #~ msgstr "Відкрити журнал дій"
+
 #~ msgid ""
 #~ "GNOME Zeitgeist is a tool for easily browsing and finding files on your "
 #~ "computer."
 #~ msgstr ""
 #~ "Файло-облікова/пошукова система Зайтгайст є інструментом швидкого пошуку "
 #~ "та перегляду файлів на Вашому компютері"
+
 #~ msgid "Stars"
 #~ msgstr "Зірки"
+
 #~ msgid "Journal"
 #~ msgstr "Журнал"
+
 #~ msgid "Notes"
 #~ msgstr "Нотатки"
+
 #~ msgid "Create New Note"
 #~ msgstr "Створити новий запис"
+
 #~ msgid "Make a new Tomboy note"
 #~ msgstr "Створити нову нотатку Tomboy"
+
 #~ msgid "Other"
 #~ msgstr "Решта"
+
 #~ msgid "Recently used tags"
 #~ msgstr "Нещодавно використані мітки"
+
 #~ msgid "Most used tags"
 #~ msgstr "Найчастіш вживані мітки"
+
 #~ msgid "All tags"
 #~ msgstr "Всі мітки"
+
 #~ msgid "Search"
 #~ msgstr "Пошук"
+
 #~ msgid "Show recent activities"
 #~ msgstr "Відобразити нещодавні дії, події"
+
 #~ msgid "Search for activities"
 #~ msgstr "Знайти записи своєї діяльності"
+
 #~ msgid "Calendar"
 #~ msgstr "Календар"
+
 #~ msgid "Enable Grouping"
 #~ msgstr "Запровадити групування елементів"
+
 #~ msgid "Name"
 #~ msgstr "Назва"
+
 #~ msgid "Time"
 #~ msgstr "Час"
+
 #~ msgid "Tagged with:"
 #~ msgstr "Має мітку:"
+
 #~ msgid "The file has been removed from"
 #~ msgstr "Файл було меренесено з"
+
 #~ msgid "New Document"
 #~ msgstr "Новий документ"
+
 #~ msgid "Related files"
 #~ msgstr "Повязані файли"
+
 #~ msgid "Last usage:"
 #~ msgstr "Востаннє використано:"
+
 #~ msgid "Tags:"
 #~ msgstr "Мітки:"
+
 #~ msgid "Files related to %s"
 #~ msgstr "Файли, що мають стосунок до %s"
+
 #~ msgid "Today"
 #~ msgstr "Сьогодні"
+
 #~ msgid "All favorites"
 #~ msgstr "Всі закладки"
+
 #~ msgid "Unbookmark"
 #~ msgstr "Зняти закладку"
+
 #~ msgid "Show related activities"
 #~ msgstr "Відобразити повязані з елементом дії"
+
 #~ msgid "Edit tags..."
 #~ msgstr "Керування мітками..."
+
 #~ msgid "Delete item from Zeitgeist"
 #~ msgstr "Видалити елемент з бази Зайтгайст"
+
 #~ msgid "Edit tags for %s"
 #~ msgstr "Керування мітками %s ..."
+
 #~ msgid "Add"
 #~ msgstr "Додати"
+
 #~ msgid "Cancel"
 #~ msgstr "Скасувати"
+
 #~ msgid "GNOME Zeitgeist Project Viewer"
 #~ msgstr "Перегляд Проекту Зайтгайст для GNOME"
+
 #~ msgid "GNOME Zeitgeist Timeline"
 #~ msgstr "Графік Зайстгайст для GNOME"
+
 #~ msgid "Yesterday"
 #~ msgstr "Вчора"
+
 #~ msgid "Could not create database: %s"
 #~ msgstr "Помилка створення бази даних: %s"
+
 #~ msgid "Error connecting with database: %s"
 #~ msgstr "Помилка зєднання з базою даних: %s"
+
 #~ msgid "Browse a journal of recently used files"
 #~ msgstr "Переглянути журнал нещодавно використаних файлів"
+
 #~ msgid "File Journal"
 #~ msgstr "Журнал файлів"
+
 #~ msgid "Zeitgeist File Journal"
 #~ msgstr "Журнал файлів в Зайтгайст"
+
 #~ msgid "Start the Zeitgeist engine"
 #~ msgstr "Запустити службу Зайтгайст"
+
 #~ msgid "Zeitgeist Tray Icon"
 #~ msgstr "Значок Зайтгайст в зоні сповіщення"
-

=== modified file 'test/benchmarks.py'
--- test/benchmarks.py	2009-07-02 15:26:13 +0000
+++ test/benchmarks.py	2009-07-11 23:20:37 +0000
@@ -1,17 +1,16 @@
 #!/usr/bin/python
 
 # Update python path to use local zeitgeist module
-import sys, os
-from os.path import dirname, join, abspath
-sys.path.insert(0, os.path.abspath(os.path.dirname(__file__) + "/.."))
+import sys
+import os
+sys.path.insert(0, os.path.join(os.path.dirname(__file__), ".."))
 
-from zeitgeist.engine.base import create_store, set_store
-from zeitgeist.engine import base
+from _zeitgeist.engine.base import create_store, set_store
+from _zeitgeist.engine import base
 from zeitgeist.datamodel import *
-from zeitgeist.engine.engine import ZeitgeistEngine
-from zeitgeist.dbusutils import *
+from _zeitgeist.engine.engine import ZeitgeistEngine
+
 from time import time
-
 import unittest
 import logging
 

=== modified file 'test/datamodel-test.py'
--- test/datamodel-test.py	2009-06-24 15:36:30 +0000
+++ test/datamodel-test.py	2009-07-11 23:20:37 +0000
@@ -1,9 +1,9 @@
 #!/usr/bin/python
 
 # Update python path to use local zeitgeist module
-import sys, os
-from os.path import dirname, join, abspath
-sys.path.insert(0, os.path.abspath(os.path.dirname(__file__) + "/.."))
+import sys
+import os
+sys.path.insert(0, os.path.join(os.path.dirname(__file__), ".."))
 
 from zeitgeist.datamodel import *
 

=== modified file 'test/engine-base-test.py'
--- test/engine-base-test.py	2009-07-03 15:31:56 +0000
+++ test/engine-base-test.py	2009-07-11 23:20:37 +0000
@@ -1,14 +1,16 @@
 #!/usr/bin/python
 
-import sys, os, tempfile, shutil
-from os.path import dirname, join, abspath
-
 # Update python path to use local zeitgeist module
-sys.path.insert(0, os.path.abspath(os.path.dirname(__file__) + "/.."))
+import sys
+import os
+sys.path.insert(0, os.path.join(os.path.dirname(__file__), ".."))
 
-from zeitgeist.engine.base import *
+from _zeitgeist.engine.base import *
 from storm.locals import *
+
 import unittest
+import tempfile
+import shutil
 
 class SymbolTest(unittest.TestCase):
 	"""

=== modified file 'test/engine-engine-test.py'
--- test/engine-engine-test.py	2009-07-11 22:32:03 +0000
+++ test/engine-engine-test.py	2009-07-11 23:20:37 +0000
@@ -1,17 +1,19 @@
 #!/usr/bin/python
 
 # Update python path to use local zeitgeist module
-import sys, os, tempfile, shutil
-from os.path import dirname, join, abspath
-sys.path.insert(0, os.path.abspath(os.path.dirname(__file__) + "/.."))
+import sys
+import os
+sys.path.insert(0, os.path.join(os.path.dirname(__file__), ".."))
 
-from zeitgeist.engine.base import create_store, set_store
-from zeitgeist.engine import base
+from _zeitgeist.engine.base import create_store, set_store
+from _zeitgeist.engine import base
 from zeitgeist.datamodel import *
-from zeitgeist.engine.engine import ZeitgeistEngine
-from zeitgeist.dbusutils import *
+from zeitgeist.dbusutils import dictify_data
+from _zeitgeist.engine.engine import ZeitgeistEngine
 
 import unittest
+import tempfile
+import shutil
 
 # Use this to print sql statements used by Storm to stdout
 #from storm.tracer import debug

=== modified file 'test/loggers-datasources-recent-test.py'
--- test/loggers-datasources-recent-test.py	2009-06-24 22:28:27 +0000
+++ test/loggers-datasources-recent-test.py	2009-07-11 23:20:37 +0000
@@ -1,12 +1,12 @@
 #!/usr/bin/python
 
 # Update python path to use local zeitgeist module
-import sys, os
-from os.path import dirname, join, abspath
-sys.path.insert(0, os.path.abspath(os.path.dirname(__file__) + "/.."))
+import sys
+import os
+sys.path.insert(0, os.path.join(os.path.dirname(__file__), ".."))
 
 import re
-from zeitgeist.loggers.datasources.recent import (SimpleMatch,
+from _zeitgeist.loggers.datasources.recent import (SimpleMatch,
 	MimeTypeSet, InverseMimeTypeSet)
 
 import unittest

=== modified file 'test/lrucache-test.py'
--- test/lrucache-test.py	2009-06-24 19:41:19 +0000
+++ test/lrucache-test.py	2009-07-11 23:20:37 +0000
@@ -1,12 +1,13 @@
 #!/usr/bin/python
 
 # Update python path to use local zeitgeist module
-import sys, os
-from os.path import dirname, join, abspath
-sys.path.insert(0, os.path.abspath(os.path.dirname(__file__) + "/.."))
+import sys
+import os
+sys.path.insert(0, os.path.join(os.path.dirname(__file__), ".."))
+
+from _zeitgeist.lrucache import LRUCache
 
 import unittest
-from zeitgeist.lrucache import LRUCache
 
 class LRUCacheTest (unittest.TestCase):
 	"""
@@ -50,9 +51,6 @@
 		cache["foo1"] = "bar1"
 		self.assertFalse("bork" in cache)
 		self.assertTrue("foo1" in cache)
-	
-	
-	
 
 if __name__ == '__main__':
 	unittest.main()

=== added directory 'zeitgeist'
=== modified file 'zeitgeist-daemon'
--- zeitgeist-daemon	2009-07-10 20:21:52 +0000
+++ zeitgeist-daemon	2009-07-11 23:20:37 +0000
@@ -28,13 +28,14 @@
 import gettext
 import logging
 
-from zeitgeist import config
+from zeitgeist import _config
+_config.setup_path()
 
-gettext.install("zeitgeist", config.localedir, unicode=1)
+gettext.install("zeitgeist", _config.localedir, unicode=1)
 logging.basicConfig(level=logging.DEBUG)
 
-from zeitgeist.engine.engine import get_default_engine
-from zeitgeist.engine.remote import RemoteInterface
+from _zeitgeist.engine.engine import get_default_engine
+from _zeitgeist.engine.remote import RemoteInterface
 
 engine = get_default_engine()
 
@@ -43,11 +44,11 @@
 
 obj = RemoteInterface(mainloop = mainloop)
 
-trayicon_app = "%s/zeitgeist-trayicon" % config.bindir
+trayicon_app = "%s/zeitgeist-trayicon" % _config.bindir
 if not "--no-trayicon" in sys.argv and os.path.isfile(trayicon_app):
 	subprocess.Popen(trayicon_app)
 
-passive_loggers = "%s/zeitgeist-datahub" % config.bindir
+passive_loggers = "%s/zeitgeist-datahub" % _config.bindir
 if not "--no-passive-loggers" in sys.argv:
 	if os.path.isfile(passive_loggers):
 		subprocess.Popen(passive_loggers)

=== modified file 'zeitgeist-datahub'
--- zeitgeist-datahub	2009-07-10 20:21:52 +0000
+++ zeitgeist-datahub	2009-07-11 23:20:37 +0000
@@ -26,17 +26,16 @@
 import gobject
 import dbus.exceptions
 
-from zeitgeist import config
-from zeitgeist.loggers.zeitgeist_setup_service import DataProviderService
-
-gettext.install("zeitgeist", config.localedir, unicode=1)
+from zeitgeist import _config
+_config.setup_path()
+
+from zeitgeist.dbusutils import *
+from _zeitgeist.loggers.zeitgeist_setup_service import DataProviderService
+
+gettext.install("zeitgeist", _config.localedir, unicode=1)
 logging.basicConfig(level=logging.DEBUG)
 
-installation_dir = os.path.dirname(os.path.realpath(config.__file__))
-datasource_dir = os.path.join(installation_dir, "loggers/datasources")
-sys.path.append(datasource_dir)
-
-from zeitgeist.dbusutils import *
+sys.path.append(_config.datasourcedir)
 
 class DataHub(gobject.GObject):
 	
@@ -53,7 +52,7 @@
 		
 		# Load the data sources
 		self._sources = []
-		for datasource_file in glob.glob(datasource_dir + '/*.py'):
+		for datasource_file in glob.glob(_config.datasourcedir + '/*.py'):
 			self._load_datasource_file(os.path.basename(datasource_file))
 		
 		# Start by fetch new items from all sources

=== added file 'zeitgeist/Makefile.am'
--- zeitgeist/Makefile.am	1970-01-01 00:00:00 +0000
+++ zeitgeist/Makefile.am	2009-07-11 23:20:37 +0000
@@ -0,0 +1,25 @@
+appdir = $(pythondir)/zeitgeist/
+
+app_PYTHON = \
+	__init__.py \
+	datamodel.py \
+	dbusutils.py
+
+nodist_app_PYTHON = _config.py
+
+_config.py: _config.py.in
+	sed						\
+		-e s!\@prefix\@!$(prefix)!		\
+		-e s!\@datadir\@!$(datadir)!		\
+		-e s!\@pkgdatadir\@!$(pkgdatadir)!	\
+		-e s!\@libexecdir\@!$(libexecdir)!	\
+		-e s!\@libdir\@!$(libdir)!		\
+		-e s!\@PACKAGE\@!$(PACKAGE)!		\
+		-e s!\@VERSION\@!$(VERSION)!		\
+		< $< > $@
+_config.py: Makefile
+
+CLEANFILES = _config.py
+EXTRA_DIST = _config.py.in
+
+all-local: _config.py

=== renamed file 'zeitgeist/__init__.py' => 'zeitgeist/__init__.py'
--- zeitgeist/__init__.py	2009-06-11 14:15:05 +0000
+++ zeitgeist/__init__.py	2009-07-11 23:20:37 +0000
@@ -1,10 +1,11 @@
 try:
-    import config
+    import _config
 
 except ImportError:
     # No config module, this is straight from the repository
     
     import os
+    import sys
     
     class MockConfig:
         __file__ = __file__
@@ -13,9 +14,13 @@
         bindir = os.path.join(os.path.dirname(__file__), "..")
         localedir = "/usr/share/locale"
         pkgdatadir = os.path.join(bindir, "data")
+        datasourcedir = os.path.join(bindir, "_zeitgeist/loggers/datasources")
         libdir = ""
         libexecdir = ""
         PACKAGE = "gnome-zeitgeist"  # TODO: change this
         VERSION = "bzr"
+        
+        def setup_path(self):
+            sys.path.insert(0, self.bindir)
     
-    config = MockConfig()
+    _config = MockConfig()

=== renamed file 'zeitgeist/config.py.in' => 'zeitgeist/_config.py.in'
--- zeitgeist/config.py.in	2009-06-11 14:15:05 +0000
+++ zeitgeist/_config.py.in	2009-07-11 23:20:37 +0000
@@ -1,9 +1,16 @@
-prefix="@prefix@"
-datadir="@datadir@"
-bindir="@prefix@/bin"
-localedir="@datadir@/locale"
-pkgdatadir="@pkgdatadir@"
-libdir="@libdir@"
-libexecdir="@libexecdir@"
-PACKAGE="@PACKAGE@"
-VERSION="@VERSION@"
+import sys
+import os
+
+prefix = "@prefix@"
+datadir = "@datadir@"
+bindir = "@prefix@/bin"
+localedir = "@datadir@/locale"
+pkgdatadir = "@pkgdatadir@"
+datasourcedir = "@prefix@/share/zeitgeist/_zeitgeist/loggers/datasources"
+libdir = "@libdir@"
+libexecdir = "@libexecdir@"
+PACKAGE = "@PACKAGE@"
+VERSION = "@VERSION@"
+
+def setup_path():
+    sys.path.insert(0, os.path.join(prefix, 'share/zeitgeist'))

=== renamed file 'zeitgeist/datamodel.py' => 'zeitgeist/datamodel.py'
=== renamed file 'zeitgeist/dbusutils.py' => 'zeitgeist/dbusutils.py'
